<template>
  <div id="show_wallet" class="createPost-container">
    <el-row style="margin-bottom: 20px;padding-bottom: 20px;">
      <el-col :span="2" class="line">
        {{ $t('row.title') }} {{ $t('route.wallet') }}:
      </el-col>
      <el-col :span="3">
        {{ Wallet.title }}
      </el-col>
      <el-col :span="2" class="line">
        {{ $t('row.address') }} {{ $t('route.wallet') }}:
      </el-col>
      <el-col :span="3">
        {{ Wallet.address }}
      </el-col>
      <el-col :span="2" class="line">
        {{ $t('row.title') }} {{ $t('route.token') }}:
      </el-col>
      <el-col :span="3">
        {{ Token.title }}
      </el-col>
      <el-col :span="1">
        &nbsp;
      </el-col>
      <el-col :span="2" class="line">
        {{ $t('row.amount') }}:
      </el-col>
      <el-col :span="3">
        {{ TokenWallet.amount }}
      </el-col>
    </el-row>
    <el-form ref="TransmitToken" :model="TransmitToken" class="form-container" style="width: 100%;margin-top: 20px;padding-top: 20px;border-top: 1px solid #eee">
      <el-row>
        <el-col :span="3" class="line" style="line-height: 35px">
          {{ $t('row.address') }} {{ $t('route.wallet') }}
        </el-col>
        <el-col :span="5">
          <el-form-item>
            <el-input v-model="TransmitToken.wtIdDestination" type="text" :placeholder="$t('row.address') + ' ' +$t('route.wallet')" required />
          </el-form-item>
        </el-col>
        <el-col :span="1">
          &nbsp;
        </el-col>
        <el-col :span="3" class="line" style="line-height: 35px">
          {{ $t('row.amount') }}
        </el-col>
        <el-col :span="5">
          <el-form-item>
            <el-input v-model="TransmitToken.price" type="text" :placeholder="$t('row.amount')" required />
            <el-input v-model="TransmitToken.wtIdSource" type="hidden" required />
          </el-form-item>
        </el-col>
        <el-col :span="1">
          &nbsp;
        </el-col>
        <el-col :span="1">
          <el-form-item>
            <el-button type="primary" @click="submitTransmitToken">
              {{ $t('form.submit') }}
            </el-button>
          </el-form-item>
        </el-col>
      </el-row>
    </el-form>
  </div>
</template>

<script>
import Wallet from '@/api/task';
const walletResource = new Wallet('wallets');

export default {
  name: 'WalletShow',
  components: { },
  filters: {
    statusFilter(status) {
      const statusMap = {
        published: 'success',
        draft: 'info',
        deleted: 'danger',
      };
      return statusMap[status];
    },
  },
  data() {
    const validateRequire = (rule, value, callback) => {
      if (value === '') {
        this.$message({
          message: rule.field + ' is required',
          type: 'error',
        });
        callback(new Error(rule.field + ' is required'));
      } else {
        callback();
      }
    };
    return {
      loading: true,
      TransmitToken: {
        amount: '',
        wtIdDestination: '',
        wtIdSource: '',
      },
      chargeUserAccountForm: {
        price: '',
        wallet_id: '',
      },
      changeUserAccountToNetworkAccountForm: {
        price: '',
        wallet_id: '',
      },
      changeNetworkAccountToUserAccountForm: {
        price: '',
        wallet_id: '',
      },
      rules: {
        token_id: [{ validator: validateRequire }],
        amount: [{ validator: validateRequire }],
      },
      TokenWalletData: {
        id: '',
        wtid: '',
      },
      user_account: '',
      network_account: '',
      Token: [],
      wtid: [],
      TokenWallet: [],
      Wallet: [],
    };
  },
  created() {
    var id = this.$route.params && this.$route.params.id;
    this.wtid = id.split('&');
    this.fetchData(this.wtid);
  },
  methods: {
    transmitToken(id) {},
    removeToken(id) {
      alert(id);
    },
    fetchData(wtid) {
      this.TokenWalletData.id = wtid[0];
      this.TokenWalletData.wtid = wtid[1];
      this.TransmitToken.wtIdSource = wtid[1];
      walletResource.showTokenWallet(this.TokenWalletData)
        .then(response => {
          this.Token = response.Token;
          this.Wallet = response.Wallet;
          this.TokenWallet = response.TokenWallet;
          this.loading = true;
        })
        .catch(err => {
          console.log(err);
        });
    },
    submitTransmitToken() {
      console.log(this.TransmitToken);
      this.$refs.TransmitToken.validate(valid => {
        if (valid) {
          this.loading = true;
          walletResource
            .TransmitToken(this.TransmitToken)
            .then(response => {
              this.TokenWallet.amount = response.amount;
              this.$message({
                message: 'Token has been added successfully.',
                type: 'success',
                duration: 5 * 1000,
              });
            })
            .catch(error => {
              console.log(error);
            })
            .finally(() => {
              this.userCreating = false;
            });
        } else {
          console.log('error submit!!');
          return false;
        }
      });
    },
  },
};
</script>

<style scoped>
.edit-input {
  padding-right: 100px;
}
.cancel-btn {
  position: absolute;
  right: 15px;
  top: 10px;
}
</style>
